Loading...
Searching...
No Matches
Opm::VelocityComponentCallback< TypeTag > Class Template Reference

Callback class for the velocity of a phase at the center of a DOF. More...

`#include <quantitycallbacks.hh>`

## Public Types

using | ResultType = std::remove_const_t<std::remove_reference_t<ResultRawType>>
using | ResultValueType = typename MathToolbox<ResultType>::ValueType

## Public Member Functions

| VelocityComponentCallback (const ElementContext &elemCtx)
| VelocityComponentCallback (const ElementContext &elemCtx, unsigned dimIdx)
void | setDimIndex (unsigned dimIdx)
| Set the index of the component of the velocity which should be returned.
ResultType | operator() (unsigned dofIdx) const
| Return the velocity of a phase given the index of a degree of freedom within an element context.

## Detailed Description

template<class TypeTag>
class Opm::VelocityComponentCallback< TypeTag >

Callback class for the velocity of a phase at the center of a DOF.

The documentation for this class was generated from the following file:

- opm/models/common/quantitycallbacks.hh